Skip to content

Export a vocabulary list

Download the words of a list the caller can read, with their usage counts, as .xlsx or .csv. The file can be imported again unchanged. Words of the list the caller may not read are left out. At most 50,000 words are exported.

GEThttps://api.aitronos.com/v1/vocabulary/lists/{list_id}/export

Path Parameters

list_id string required

The list to export.

Query Parameters

format string optional · Defaults to xlsx

xlsx or csv.


Returns

The file, as an attachment named vocabulary-<list name>.<format>. The columns are written, sounds_like (separated by ;), language, kind, weight, enabled, applied_count, heard_count and corrected_count.

cURL
curl "https://api.aitronos.com/v1/vocabulary/lists/voclist_8f2a61c4e0b94d7a/export?format=csv" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -o vocabulary.csv

Response:

200 OK
written,sounds_like,language,kind,weight,enabled,applied_count,heard_count,corrected_count
Kubernetes,cube ernetes;kuber netties,,bias,1.0,true,14,9,0